<?php
/**
 * Plugin Name: Twitter Feed OAuth
 * Plugin URI: http://e-merald.com/plugins/general/
 * Description: Provides a Twitter API 1.1 compliant method to handle the server-side authentication process and get an array of tweets from the authenticated user's Twitter feed. This plugin is based on <a href="https://github.com/StanScates/Tweet.js-Mod">Tweet.js-Mod</a> by Stan Scates.
 * Version: 1.2.1
 * Author: emerald
 * Author URI: http://e-merald.com
 * License: GPL-2.0+
 *
 * This plugin includes a slightly modified version of the original Tweet.js-Mod (vers. 1.4)
 * Special thanks to Stan Scates (Tweet.js-Mod - https://github.com/StanScates/Tweet.js-Mod).
 */

if ( ! defined( 'WPINC' ) ) {
	die;
}

define( 'EMD_TWITTER_FEED_VERS', '1.2.1' );

/**
 * AJAX front end: Receive request from a Twitter Feed widget and return the data from Twitter in respond.
 *
 * @since 1.0
 */


function emd_twitter_feed() {
	if ( empty( $_POST ) ) {
		die();
	}
	require_once plugin_dir_path( __FILE__ ) . 'class-ez-tweet.php';
	
	die();
}
add_action( 'wp_ajax_emd_twitter_feed', 'emd_twitter_feed' );
add_action( 'wp_ajax_nopriv_emd_twitter_feed', 'emd_twitter_feed' );


/**
 * Enqueue scripts for the front end.
 *
 * @since 1.2
 */

function emd_twitter_feed_enqueue_scripts() {
	wp_enqueue_script( 'tweet', plugins_url( 'js/jquery.tweet.min.js', __FILE__ ), array( 'jquery' ), EMD_TWITTER_FEED_VERS, true );
}
add_action( 'wp_enqueue_scripts', 'emd_twitter_feed_enqueue_scripts' );
